For the complete documentation index, see llms.txt. This page is also available as Markdown.

net_version - BSC

Example code for the net_version JSON RPC method. Сomplete guide on how to use net_version JSON RPC in GetBlock Web3 documentation.

This method returns the current network ID. For BSC Mainnet, this returns "56", and for Testnet, it returns "97".

Parameters

  • None

Request Example

cURL
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "net_version",
    "params": [],
    "id": "getblock.io"
}'
request.js
const axios = require('axios');

const url = 'https://go.getblock.io/<ACCESS-TOKEN>/';

const payload = {
    jsonrpc: '2.0',
    method: 'net_version',
    params: [],
    id: 'getblock.io'
};

axios.post(url, payload, {
    headers: { 'Content-Type': 'application/json' }
})
.then(response => console.log('Network ID:', response.data.result))
.catch(error => console.error(error));

Response Example

response.json
{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": "56"
}

Response Parameters

Parameter
Type
Description

result

string

Network ID (56 for BSC Mainnet)

Use Cases

  • Verify network connection

  • Multi-chain application routing

  • Network detection

Error Handling

Error Code
Description

-32603

Internal error

SDK Integration

Last updated

Was this helpful?